platform-runner-enrollments

Operations of the Biome Host API. Paths are relative to your deployment's API host.

GET /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments

List enrollments for an ownerless platform runtime

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
executionTargetIdpathstringyes
StatusDescriptionBody
200application/json RunnerEnrollmentManagementResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments

Create an enrollment for an ownerless platform runtime

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
executionTargetIdpathstringyes

Request body: application/json CreateRunnerEnrollmentDto

StatusDescriptionBody
201application/json RunnerEnrollmentManagementResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409Conflict. Code RUNNER_ENROLLMENT_PLATFORM_MANAGED_UNSUPPORTED: the runtime is platform-managed, which no longer supports enrollment creation.application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments/{enrollmentId}/drain

Stop new work and begin platform enrollment revocation

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
enrollmentIdpathstringyes
executionTargetIdpathstringyes
StatusDescriptionBody
200application/json RunnerEnrollmentManagementResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments/{enrollmentId}/revoke

Immediately fence and revoke an enrollment with a durable security audit and alert

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
enrollmentIdpathstringyes
executionTargetIdpathstringyes

Request body: application/json BreakGlassRevokeRunnerEnrollmentDto

StatusDescriptionBody
200application/json RunnerEnrollmentManagementResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments/{enrollmentId}/rotate

Issue a successor platform runner credential

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
enrollmentIdpathstringyes
executionTargetIdpathstringyes

Request body: application/json RotateRunnerEnrollmentDto

StatusDescriptionBody
200application/json RunnerEnrollmentManagementRotationResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409Conflict. Code RUNNER_ENROLLMENT_PLATFORM_MANAGED_UNSUPPORTED: the runtime is platform-managed, which no longer supports enrollment rotation.application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto